/**
 * apeman bud for React files.
 * @module apeman-bud-react
 * @version 1.12.0
 */

"use strict";

const setup = require('./setup'),
    pkg = require('../package.json');

let lib = setup.bind(this);
lib.setup = setup;
lib.view = setup.view;
lib.page = setup.page;
lib.mixin = setup.mixin;
lib.mixinGroup = setup.mixinGroup;
lib.service = setup.service;
lib.store = setup.store;
lib.storeAccess = setup.storeAccess;
lib.storeReduce = setup.storeReduce;
lib.fragment = setup.fragment;
lib.browser = setup.browser;
lib.helper = setup.helper;
lib.index = setup.index;
lib.version = pkg.version;

module.exports = lib;
